org.apache.fop.render.afp.extensions

## Class AFPInvokeMediumMap

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPInvokeMediumMap

All Implemented Interfaces:
  Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class AFPInvokeMediumMap
    extends AFPExtensionAttachment

This is the pass-through value object for the AFP extension.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`ATT_NAME, CATEGORY, elementName, name`

### Constructor Summary

Constructors
Constructor and Description
`AFPInvokeMediumMap()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `toSAX(ContentHandler handler)`
`String` `toString()`

### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`getCategory, getElementName, getName, hasName, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPInvokeMediumMap

    public AFPInvokeMediumMap()

Default constructor.

### Method Detail

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Throws:
  `SAXException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`